# format-date

format-date($value as xs:date?, $picture as xs:string) → xs:string?

Formats a date, using a format controlled by the picture string. The result is equivalent to the 5-argument form of the function, with the third, fourth, and fifth arguments set to an empty sequence.

Arguments
| $value | xs:date? | The date to be formatted
| $picture | xs:string | Picture showing how the date is to be formatted
Result | xs:string?

format-date($value as xs:date?, $picture as xs:string, $language as xs:string?, $calendar as xs:string?, $place as xs:string?) → xs:string?

Formats a date, using a format controlled by the picture string.

Arguments
| $value | xs:date? | The date to be formatted
| $picture | xs:string | Picture showing how the date is to be formatted
| $language | xs:string? | The language for the output
| $calendar | xs:string? | The calendar for the output
| $place | xs:string? | The country or Olson timezone associated with the event
Result | xs:string?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

See

Next